unit mtConf;

interface

uses dvwin, dvcrt,
    windows, shellApi, sysUtils, winSock,
    mtVars, mtMsg;

procedure pegaConf;
procedure gravaConf;

implementation

{--------------------------------------------------------}
{Pega configurao no DOSVOX.INI
{--------------------------------------------------------}

procedure pegaConf;
begin

    bpmStr:= sintAmbiente ('METROVOX', 'BPM');
    compassoStr:= sintAmbiente ('METROVOX', 'COMPASSO');
    somTempo:= sintAmbiente ('METROVOX', 'SOMTEMPO');
    somCompasso:= sintAmbiente ('METROVOX', 'SOMCOMPASSO');

end;

{--------------------------------------------------------}
{Grava configurao no DOSVOX.INI
{--------------------------------------------------------}

procedure gravaConf;
var opcao: char;
    sz: array [0..144] of char;
    gravaTempo, gravaCompasso: string;
begin

    writeln;
    mensagem ('MTASSPAD', 0); {'Deseja assumir esse modelo como padro ? '}
    opcao:= sintReadkey;
    writeln (opcao);

    if upcase(opcao) <> 'S' then
    begin
        mensagem ('MTDESIST', 1); {'Desistiu'}
        exit;
    end;

    str (bpm, bpmStr);
    str (compasso, compassoStr);

    if compassoStr = '2' then
        compassoStr:= 'Binrio'
    else
    if compassoStr = '3' then
        compassoStr:= 'Ternrio'
    else
    if compassoStr = '4' then
        compassoStr:= 'Quaternrio'
    else
        compassoStr:= 'Quaternrio';

    gravaTempo:= somTempo;
    gravaCompasso:= somCompasso;

    while (pos ('\', gravaTempo) <> 0) do
        delete (gravaTempo, 1, pos ('\', gravaTempo));
    delete (gravaTempo, length (gravatempo) -3, 4);

    while (pos ('\', gravaCompasso) <> 0) do
        delete (gravaCompasso, 1, pos ('\', gravaCompasso));
    delete (gravaCompasso, length (gravaCompasso) -3, 4);

    strPCopy (sz, bpmStr);
    writePrivateProfileString ('METROVOX', 'BPM', sz, 'DOSVOX.INI');
    strPCopy (sz, compassoStr);
    writePrivateProfileString ('METROVOX', 'COMPASSO', sz, 'DOSVOX.INI');
    strPCopy (sz, gravaTempo);
    writePrivateProfileString ('METROVOX', 'SOMTEMPO',  sz, 'DOSVOX.INI');
    strPCopy (sz, gravaCompasso);
    writePrivateProfileString ('METROVOX', 'SOMCOMPASSO',  sz, 'DOSVOX.INI');

    mensagem ('MODPAD', 1); {'OK, assumido'}

end;

end.
